Subject: Re: bug#24239: 25.1; Potential regression: Multibyte text in HTTP request

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Aug 2016 18:01:58 +0300

> From: Dmitry Gutov <[email-masked]>
> Date: Tue, 16 Aug 2016 11:16:26 +0300
> 
> > - where is the behavior change discussed in the Emacs' changelog?
> 
> We normally don't mention bug fixes in there. Binding url-request-data 
> to a string with multibyte characters never actually worked properly (it 
> resulted in a wrong Content-Length value). Some servers may have ignored 
> that, but some may have even corrupted data silently.

I guess you are talking about NEWS, not ChangeLog.  It's tru we don't
describe bug-fixes in NEWS, but we do describe incompatible changes.
So I think it would be good to document this change there.  Could you
suggest some simple description of that?  (I don't understand the
details of the use case well enough to do that myself -- how is the
value of url-request-data related to the change we made in
url-http-create-request?)

Thanks.